Package com.sun.jna.platform.win32

# Class WinPerf.PERF_INSTANCE_DEFINITION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinPerf.PERF_INSTANCE_DEFINITION

Enclosing interface:
  WinPerf

@FieldOrder({"ByteLength","ParentObjectTitleIndex","ParentObjectInstance","UniqueID","NameOffset","NameLength"}) public static class WinPerf.PERF_INSTANCE_DEFINITION extends Structure
Describes an instance of a performance object

See Also:
  - PERF_INSTANCE_DEFINITION

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `ByteLength`
  `int`
  `NameLength`
  `int`
  `NameOffset`
  `int`
  `ParentObjectInstance`
  `int`
  `ParentObjectTitleIndex`
  `int`
  `UniqueID`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PERF_INSTANCE_DEFINITION()`
  `PERF_INSTANCE_DEFINITION(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ByteLength

    public int ByteLength

  - ### ParentObjectTitleIndex

    public int ParentObjectTitleIndex

  - ### ParentObjectInstance

    public int ParentObjectInstance

  - ### UniqueID

    public int UniqueID

  - ### NameOffset

    public int NameOffset

  - ### NameLength

    public int NameLength

- ## Constructor Details

  - ### PERF_INSTANCE_DEFINITION

    public PERF_INSTANCE_DEFINITION()

  - ### PERF_INSTANCE_DEFINITION

    public PERF_INSTANCE_DEFINITION(Pointer p)